/realms/{realmId}/organizations/{organizationId}/travel/passengers/{passengerId}
curl --request PUT \
--url https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/travel/passengers/{passengerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"birthDate": "<string>",
"emails": [
"jsmith@example.com"
],
"phoneNumbers": [
"<string>"
],
"documents": {
"CPF": {
"code": "<string>",
"issueCountry": "<string>"
},
"RG": {
"code": "<string>",
"issueCountry": "<string>"
},
"PASSPORT": {
"code": "<string>",
"issueCountry": "<string>"
},
"CNH": {
"code": "<string>",
"issueCountry": "<string>"
}
},
"address": {
"shortAddress": "<string>",
"adressLines": [
"<string>"
],
"locality": "<string>",
"administrativeArea": "<string>",
"administrativeAreaName": "<string>",
"postalCode": "<string>",
"country": "<string>",
"timezone": "<string>",
"coordinates": {
"lat": 123,
"lng": 123
}
},
"loyalty": {},
"customFields": {}
}
'import requests
url = "https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/travel/passengers/{passengerId}"
payload = {
"name": "<string>",
"birthDate": "<string>",
"emails": ["jsmith@example.com"],
"phoneNumbers": ["<string>"],
"documents": {
"CPF": {
"code": "<string>",
"issueCountry": "<string>"
},
"RG": {
"code": "<string>",
"issueCountry": "<string>"
},
"PASSPORT": {
"code": "<string>",
"issueCountry": "<string>"
},
"CNH": {
"code": "<string>",
"issueCountry": "<string>"
}
},
"address": {
"shortAddress": "<string>",
"adressLines": ["<string>"],
"locality": "<string>",
"administrativeArea": "<string>",
"administrativeAreaName": "<string>",
"postalCode": "<string>",
"country": "<string>",
"timezone": "<string>",
"coordinates": {
"lat": 123,
"lng": 123
}
},
"loyalty": {},
"customFields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
birthDate: '<string>',
emails: ['jsmith@example.com'],
phoneNumbers: ['<string>'],
documents: {
CPF: {code: '<string>', issueCountry: '<string>'},
RG: {code: '<string>', issueCountry: '<string>'},
PASSPORT: {code: '<string>', issueCountry: '<string>'},
CNH: {code: '<string>', issueCountry: '<string>'}
},
address: {
shortAddress: '<string>',
adressLines: ['<string>'],
locality: '<string>',
administrativeArea: '<string>',
administrativeAreaName: '<string>',
postalCode: '<string>',
country: '<string>',
timezone: '<string>',
coordinates: {lat: 123, lng: 123}
},
loyalty: {},
customFields: {}
})
};
fetch('https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/travel/passengers/{passengerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Travel Passengers
/realms/{realmId}/organizations/{organizationId}/travel/passengers/{passengerId}
PUT
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
travel
/
passengers
/
{passengerId}
/realms/{realmId}/organizations/{organizationId}/travel/passengers/{passengerId}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
1Available options:
MALE, FEMALE Pattern:
^\d{4}-\d{2}-\d{2}$Minimum array length:
1Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Minimum array length:
1Pattern:
^\d{10,15}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
default
Undocumented response (no code type, no existing spec).
/realms/{realmId}/organizations/{organizationId}/travel/passengers/{passengerId}/realms/{realmId}/organizations/{organizationId}/travel/passengers/{passengerId}
⌘I